BinaryIOWrapper (Jython API documentation)
Date: 2012-08-13

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core.io
Class BinaryIOWrapper

    java.lang.Object
      org.python.core.io.IOBase
          org.python.core.io.TextIOBase
              org.python.core.io.BinaryIOWrapper

Direct Known Subclasses:
  TextIOWrapper

    public class BinaryIOWrapper

extends TextIOBase

A Buffered text stream in binary mode.

Author:
  Philip Jenvey

Field Summary

Fields inherited from class org.python.core.io.TextIOBase
`CHUNK_SIZE`

Fields inherited from class org.python.core.io.IOBase
`DEFAULT_BUFFER_SIZE`

Constructor Summary
`BinaryIOWrapper(BufferedIOBase bufferedIO)` Contruct a TextIOBase in binary mode, wrapping the given BufferedIOBase.

Method Summary
`String` | `read(int size)` Read and return up to size bytes, contained in a String.
`String` | `readall()` Read until EOF.
`String` | `readline(int size)` Read until size, newline or EOF.
`int` | `write(String buf)` Write the given String to the IO stream.

Methods inherited from class org.python.core.io.TextIOBase
`asInputStream, asOutputStream, close, closed, fileno, flush, getNewlines, isatty, readable, readinto, seek, tell, truncate, writable`

Methods inherited from class org.python.core.io.IOBase
`checkClosed, checkReadable, checkWritable, seek`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BinaryIOWrapper

    public BinaryIOWrapper(BufferedIOBase bufferedIO)

  Contruct a TextIOBase in binary mode, wrapping the given BufferedIOBase.

  Parameters:
    `bufferedIO` -

Method Detail

### read

    public String read(int size)

  Description copied from class: `TextIOBase`
  Read and return up to size bytes, contained in a String. Returns an empty String on EOF

  Overrides:
    `read` in class `TextIOBase`
  Parameters:
    `size` - the number of bytes to read
  Returns:
    a String containing the bytes read

### readall

    public String readall()

  Description copied from class: `TextIOBase`
  Read until EOF.

  Overrides:
    `readall` in class `TextIOBase`
  Returns:
    a String containing the bytes read

### readline

    public String readline(int size)

  Description copied from class: `TextIOBase`
  Read until size, newline or EOF. Returns an empty string if EOF is hit immediately.

  Overrides:
    `readline` in class `TextIOBase`
  Parameters:
    `size` - the number of bytes to read
  Returns:
    a String containing the bytes read

### write

    public int write(String buf)

  Description copied from class: `TextIOBase`
  Write the given String to the IO stream. Returns the number of characters written.

  Overrides:
    `write` in class `TextIOBase`
  Parameters:
    `buf` - a String value
  Returns:
    the number of characters written as an int

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage